Sunday, 17 September 2017

OSError: [Errno 1] Operation not permitted: '/tmp/pip-LZRi3_-uninstall/System/Library/Frameworks/Python.framework/Versions/2.7/Extras/lib/python/numpy-1.8.0rc1-py2.7.egg-info'



OSError: [Errno 1] Operation not permitted: '/tmp/pip-LZRi3_-uninstall/System/Library/Frameworks/Python.framework/Versions/2.7/Extras/lib/python/numpy-1.8.0rc1-py2.7.egg-info'


I got above error when i was installing tensorflow by pip. no matter i do with "sudo" or not.

solution:

add  "--ignore-installed numpy" in the command:


AskMeAnything:sudo pip  install --upgrade https://storage.googleapis.com/tensorflow/mac/cpu/tensorflow-1.3.0-py2-none-any.whl --ignore-installed numpy











No comments:

Post a comment